Subject: lock root, was: I-D ACTION:draft-ietf-webdav-rfc2518bis-03.txt

From: "Julian Reschke" <[email-masked]>
Date: Mon, 17 Mar 2003 16:11:28 +0100

> > 25) Section 13.4 (lockroot)
> >
> > Proposal: only require it for deep locks.
>
> I have no preference... unless we have a reason to want to know what URI
mapping
> is protected.  If we do, then it should apply even to depth 0 locks.

Right.

I think I originally wrote this when I hadn't thought through the
implications of multiple bindings to locks. The idea was to break old,
mis-behaving clients (that do not use the WebDAV XML extensibility rules)
only when we must (i.e., when it was collection lock with depth != 0).

So yes, DAV:lockroot should always be present.

> FWIW... there is some sort of quotation
> marks around "rooted" in that section on that
> html page that don't show up
> right on my browsers.

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760